<!--
It Generation
Andriy Andrusevych
JS Homework 4

-->

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>IT Generation, JS, HW 4
    </title>
    <script type="text/javascript">

        // Task 1. Создать функцию calculate(operand1, operand2, sign)...

        function calculate(operand1, operand2, sign) {

            var operand1 = +prompt("Enter the 1st number:");
            var sign = prompt("Enter operation sign (+ - * /)");
            var operand2 = +prompt("Enter the 2nd number:");
            var result;

            switch (sign) {
                case "+":
                    result = operand1 + operand2;
                    break;
                case "-":
                    result = operand1 - operand2;
                    break;
                case "*":
                    result = operand1 * operand2;
                    break;
                case "/":
                    if (operand2 == 0) {
                        document.write("Wrong input! Cannot devide by " + operand2)
                    } else {
                        result = operand1 / operand2;
                    }
                    break;
                default:
                    document.write("<pstyle='color:red'>" + sign + " - cannot be applied to arythemitc operations!</p>");
            }
            if (result != undefined) {
                document.write("Result: " + result);
            }
        }

        calculate();


        // Task 3  3.  Создать игру "Камень-Ножницы-Бумага".

        var computerChoice = Math.round(Math.random() * 3);
        function game() {

            var userChoice = prompt('Введіть ваш вибір: камінь (0), ножиці (1) чи папір (2)');
            switch (computerChoice) {

                case 0:
                    if (userChoice == 1) {
                        alert('Ви програли! У мене ' + 'камінь.');
                    } else if (userChoice == 2) {
                        alert('Ви виграли! У мене ' + 'камінь.');
                    } else {
                        alert('Нічия! У мене ' + 'камінь.');
                    }
                    break;

                case 1:
                    if (userChoice == 2) {
                        alert('Ви програли! У мене ' + 'ножиці.');
                    } else if (userChoice == 0) {
                        alert('Ви виграли! У мене ' + 'ножиці.');
                    } else {
                        alert('Нічия! У мене ' + 'ножиці.');
                    }
                    break;
                case 2:
                    if (userChoice == 0) {
                        alert('Ви програли! У мене ' + 'папір.');
                    } else if (userChoice == 1) {
                        alert('Ви виграли! У мене ' + 'папір.');
                    } else {
                        alert('Нічия! У мене ' + 'папір.');
                    }
                    break;

            };

            if (confirm('Ще раз?')) {
                game();
            }
        };
        game();

        //Task 4.Напишите функцию, которая возвращает n-е число Фибоначчи. Для решения используйте цикл.

        function getFibonacciNumber() {
            var n = +prompt('Enter n ');
            var i = 1;
            var n1 = 0;
            var n2 = 1;
            var f = n1 + n2;
            if (n == 1) {
                document.write('Fibonacci n = ' + n1);
            } else if (n == 2) {
                document.write('Fibonacci n = ' + n2);
            } else {
                while (i <= n) {
                    f = n1 + n2;
                    n1 = n2;
                    n2 = f;
                    i++;
                }
                document.write('Your Fibonacci number is: ' + f);
            }
        }
        getFibonacciNumber();


    </script>
</head>

<body>

</body>

</html>